<?php

#*************************************
# X-Cart Reboot Template v4.7.x
# Copyright 2020 www.xcartmods.co.uk
#*************************************

require "../auth.php";

include_once($xcart_dir . '/reboot/dynamic_search.php');

$ldb = new database();
$q = strtolower($_GET["q"]);
if (!$q) return;

////////////////// PRODUCTS ////////////////////

if($_GET['dynamic_search_type']=='products') {
	$sql = "
    	SELECT p.`productid`, p.`forsale`, p.`add_date`, l.`product`, x.`price`, x.`variantid`, i.`image_path`, concat('product.php?productid=',p.`productid`) AS link FROM (`$sql_tbl[products]` p 
	    INNER JOIN `$sql_tbl[products_lng_current]` l ON (p.`productid` = l.`productid`) 
	    LEFT JOIN `$sql_tbl[pricing]` x ON (p.`productid` = x.`productid`) 
	    LEFT JOIN `$sql_tbl[images_T]` i ON p.`productid` = i.`id`) 
	    WHERE p.`forsale` != 'N' AND p.`forsale` != 'H' AND p.`blog` != 'Y' AND product LIKE '%".$_GET["q"]."%' 
        GROUP BY p.`productid` 
        ORDER BY p.`add_date` DESC 
	";
	$result_obj = $ldb->returnArray($sql);
	for($a=0;$a<sizeof($result_obj);$a++) {
		echo $result_obj[$a]['product']."||==||".$result_obj[$a]['price']."||==||".$result_obj[$a]['image_path']."||==||//".$xcart_http_host."".$xcart_web_dir."/".$result_obj[$a]['link']."\n";
	}
}

//AND p.`avail` != '0' AND x.`quantity` = '1' AND x.`variantid` = '0' AND x.`membershipid` = '0' 

////////////////// BLOG ////////////////////

if($_GET['dynamic_search_type']=='blog') {
	$sql = "
    	SELECT p.`productid`, p.`forsale`, p.`add_date`, l.`product`, i.`image_path`, concat('product.php?productid=',p.`productid`) AS link FROM (`$sql_tbl[products]` p 
	    INNER JOIN `$sql_tbl[products_lng_current]` l ON (p.`productid` = l.`productid`) 
	    LEFT JOIN `$sql_tbl[images_T]` i ON p.`productid` = i.`id`) 
	    WHERE p.`forsale` != 'N' AND p.`forsale` != 'H' AND p.`blog` = 'Y' AND product LIKE '%".$_GET["q"]."%' 
        GROUP BY p.`productid` 
	    ORDER BY p.`add_date` DESC 
	";
	$result_obj = $ldb->returnArray($sql);
	for($a=0;$a<sizeof($result_obj);$a++) {
		echo $result_obj[$a]['product']."||==||".$result_obj[$a]['image_path']."||==||//".$xcart_http_host."".$xcart_web_dir."/".$result_obj[$a]['link']."\n";
	}
}

////////////////// MANUFACTURERS ////////////////////

if($_GET['dynamic_search_type']=='manufacturers') {
	$sql = "
		SELECT manufacturer, concat('manufacturers.php?manufacturerid=',manufacturerid) AS link FROM $sql_tbl[manufacturers] 
		WHERE avail = 'Y' AND manufacturer like '%".$_GET["q"]."%'
	";
	$result_obj = $ldb->returnArray($sql);
	for($a=0;$a<sizeof($result_obj);$a++) {
		echo $result_obj[$a]['manufacturer']."||==||".$result_obj[$a]['image_path']."||==||//".$xcart_http_host."".$xcart_web_dir."/".$result_obj[$a]['link']."\n";
	}
}

////////////////// CATEGORIES ////////////////////

if($_GET['dynamic_search_type']=='categories') {
	$sql = "
		SELECT category, concat('home.php?cat=',categoryid) AS link FROM $sql_tbl[categories] 
		WHERE avail = 'Y' AND category_type != 'B' AND category like '%".$_GET["q"]."%'
	";
	$result_obj = $ldb->returnArray($sql);
	for($a=0;$a<sizeof($result_obj);$a++) {
		echo $result_obj[$a]['category']."||==||".$result_obj[$a]['image_path']."||==||//".$xcart_http_host."".$xcart_web_dir."/".$result_obj[$a]['link']."\n";
	}
}

//////////////////////////////////////

?>